Mac OS .bundle files not supporting 64-bit - Flagged as "Disallowed Architechture" by iTunesConnect


(Casper Nymose) #1

Hi,

We are currently making a build for Mac OS, and trying to upload to iTunesConnect.
Unity integration is using Version: 1.09.03

When trying to upload to iTunesConnect we get the following error:

1 package(s) were not uploaded because they had problems:
/var/folders/nv/qcv33cl95bq0l6t_k0ktqrf40000gp/T/06C97DD9-EE86-457B-B5C1-6C93C72EE609/1353331145.itmsp - Error Messages:
ERROR ITMS-90240: “Unsupported Architectures. Your executable contained the following disallowed architectures: ‘[i386 (in com.FantasticYes.Returner1Mac.pkg/Payload/Returner 77.app/Contents/Plugins/fmodstudio.bundle/Contents/MacOS/fmodstudio, com.FantasticYes.Returner1Mac.pkg/Payload/Returner 77.app/Contents/Plugins/fmodstudioL.bundle/Contents/MacOS/fmodstudioL)]’. New apps submitted to the Mac App Store must support 64-bit starting January 2018, and Mac app updates and existing apps must support 64-bit starting June 2018.”

This is probably also a problem for gvraudio.bundle as deleting the two other bundles produces the same error on gvraudio.
We have tried flagging the architecture import settings in all 3 combinations, (x86 + x86_64 and only enabling each), and have also done this for the editor platform, but with no luck.

Is there a way we can resolve this issue without having to update to a newer version of FMOD?

Thanks!


(Cameron Baron) #2

The fmodstudio bundles do support 64 bit, they are a universal lib that also contains the 32 bit lib as well. This may be the problem, as seen in this case:
https://www.fmod.org/questions/question/fmod-64-bit-for-mac/